Bug 555647 - Publican includes commented out material in strings in POT files
Publican includes commented out material in strings in POT files
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-14 23:30 EST by Ruediger Landmann
Modified: 2010-11-23 23:16 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-31 20:14:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-01-14 23:30:07 EST
Description of problem:
When a string in an XML file contains commented out material, this material is carried across to the POT file.

Version-Release number of selected component (if applicable):
12

How reproducible:
100%

Steps to Reproduce:
1. Comment out some text within a para in an XML file
2. Run publican update_pot
3. Open the corresponding POT file
  
Actual results:
The POT file contains the commented-out text

Expected results:
The POT file should not contain commented-out text

Additional info:
Comment 1 Jeff Fearn 2010-01-18 00:50:32 EST
Added parameter to new_tree to disable retaining comments.

workaround: do not place comments in translatable tags.
Comment 2 Fedora Update System 2010-01-28 21:05:38 EST
publican-1.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.4-1.fc12
Comment 3 Fedora Update System 2010-01-28 21:06:55 EST
publican-1.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.4-1.fc11
Comment 4 Fedora Update System 2010-01-31 20:13:46 EST
publican-1.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-01-31 20:22:06 EST
publican-1.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.